FROM postgres:latest

# Installer curl
RUN apt-get update && apt-get install -y curl ruby ruby-dev build-essential
RUN gem install bcrypt

# Copier le script d'initialisation
COPY initDocusealUsers.sh /docker-entrypoint-initdb.d/initDocusealUsers.sh

# Donner les permissions d'exécution au script
RUN chmod +x /docker-entrypoint-initdb.d/initDocusealUsers.sh

# Commande par défaut pour démarrer le conteneur
ENTRYPOINT ["/bin/bash", "/docker-entrypoint-initdb.d/initDocusealUsers.sh"]